Skip to main content
`Ctrl`+`K`

# PetscFVComputeGradient

Compute the gradient reconstruction matrix for a given cell

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVComputeGradient(PetscFV fvm, PetscInt numFaces, PetscScalar dx[], PetscScalar grad[])

## Input Parameters

- fvm - The `PetscFV` object

- numFaces - The number of cell faces which are not constrained

- dx - The vector from the cell centroid to the neighboring cell centroid for each face

## Output Parameter

- grad - the gradient

## See Also

`PetscFV`, `PetscFVCreate()`

## Level

advanced

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages